I am creating a custom component in the Integration studio which simply creates the delay in the action. It is giving me the following compiler error 

.NET Compilation.

error MSB4132: The tools version "12.0" is unrecognized.

I am using outsystems 11 free edition. Any help is greatly appreciated. 

Hi Ankit,

This seems related to Microsoft Build Tools, perhaps have no deep idea but for instance, if you Google, you may find most of the people complaining about the same with a different approach of .net base. 

https://stackoverflow.com/questions/24182686/node-npm-error-on-windows-looking-for-tools-version

Incase if it didn't resolve then better you raise the same with Support Team & make sure to mention OS version as well as Studio Build version.